@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  osmdroid-server-jdk startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and OSMDROID_SERVER_JDK_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\osmdroid-server-jdk-6.1.10.jar;%APP_HOME%\lib\servlet-api-2.5.jar;%APP_HOME%\lib\commons-configuration-1.9.jar;%APP_HOME%\lib\commons-lang3-3.6.jar;%APP_HOME%\lib\commons-collections-3.2.1.jar;%APP_HOME%\lib\cxf-bundle-jaxrs-2.7.5.jar;%APP_HOME%\lib\spring-test-3.2.2.RELEASE.jar;%APP_HOME%\lib\spring-context-3.2.2.RELEASE.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\cxf-rt-rs-extension-providers-2.7.5.jar;%APP_HOME%\lib\sqlite-jdbc-3.8.7.jar;%APP_HOME%\lib\jsp-api-2.1.jar;%APP_HOME%\lib\jersey-container-servlet-2.5.1.jar;%APP_HOME%\lib\jersey-client-2.5.1.jar;%APP_HOME%\lib\jersey-media-moxy-2.5.1.jar;%APP_HOME%\lib\cxf-rt-transports-http-jetty-2.7.6.jar;%APP_HOME%\lib\slf4j-jdk14-1.7.10.jar;%APP_HOME%\lib\jettison-1.3.4.jar;%APP_HOME%\lib\jackson-databind-2.8.11.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\commons-logging-1.1.1.jar;%APP_HOME%\lib\woodstox-core-asl-4.2.0.jar;%APP_HOME%\lib\stax2-api-3.1.1.jar;%APP_HOME%\lib\xmlschema-core-2.0.3.jar;%APP_HOME%\lib\geronimo-javamail_1.4_spec-1.7.1.jar;%APP_HOME%\lib\wsdl4j-1.6.3.jar;%APP_HOME%\lib\jaxb-impl-2.1.13.jar;%APP_HOME%\lib\jetty-server-8.1.7.v20120910.jar;%APP_HOME%\lib\jetty-continuation-8.1.7.v20120910.jar;%APP_HOME%\lib\jetty-http-8.1.7.v20120910.jar;%APP_HOME%\lib\jetty-io-8.1.7.v20120910.jar;%APP_HOME%\lib\jetty-util-8.1.7.v20120910.jar;%APP_HOME%\lib\jetty-security-8.1.7.v20120910.jar;%APP_HOME%\lib\geronimo-servlet_3.0_spec-1.0.jar;%APP_HOME%\lib\javax.ws.rs-api-2.0-m10.jar;%APP_HOME%\lib\spring-core-3.2.2.RELEASE.jar;%APP_HOME%\lib\spring-aop-3.2.2.RELEASE.jar;%APP_HOME%\lib\spring-beans-3.2.2.RELEASE.jar;%APP_HOME%\lib\spring-expression-3.2.2.RELEASE.jar;%APP_HOME%\lib\cxf-rt-frontend-jaxrs-2.7.5.jar;%APP_HOME%\lib\jersey-container-servlet-core-2.5.1.jar;%APP_HOME%\lib\jersey-common-2.5.1.jar;%APP_HOME%\lib\jersey-server-2.5.1.jar;%APP_HOME%\lib\guava-14.0.1.jar;%APP_HOME%\lib\hk2-api-2.2.0-b21.jar;%APP_HOME%\lib\javax.inject-2.2.0-b21.jar;%APP_HOME%\lib\hk2-locator-2.2.0-b21.jar;%APP_HOME%\lib\jersey-entity-filtering-2.5.1.jar;%APP_HOME%\lib\org.eclipse.persistence.moxy-2.5.0.jar;%APP_HOME%\lib\org.eclipse.persistence.antlr-2.5.0.jar;%APP_HOME%\lib\cxf-rt-transports-http-2.7.6.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\jackson-annotations-2.8.0.jar;%APP_HOME%\lib\jackson-core-2.8.10.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\cxf-rt-bindings-xml-2.7.5.jar;%APP_HOME%\lib\javax.annotation-api-1.2.jar;%APP_HOME%\lib\osgi-resource-locator-1.0.1.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\hk2-utils-2.2.0-b21.jar;%APP_HOME%\lib\asm-all-repackaged-2.2.0-b21.jar;%APP_HOME%\lib\cglib-2.2.0-b21.jar;%APP_HOME%\lib\org.eclipse.persistence.core-2.5.0.jar;%APP_HOME%\lib\javax.servlet-3.0.0.v201112011016.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\org.eclipse.persistence.asm-2.5.0.jar;%APP_HOME%\lib\cxf-api-2.7.6.jar;%APP_HOME%\lib\cxf-rt-core-2.7.6.jar;%APP_HOME%\lib\slf4j-api-1.7.10.jar

@rem Execute osmdroid-server-jdk
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %OSMDROID_SERVER_JDK_OPTS%  -classpath "%CLASSPATH%" org.osmdroid.server.jdk.TileServer %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable OSMDROID_SERVER_JDK_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%OSMDROID_SERVER_JDK_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
